/*
Copyright (c) 2017 Holvonix LLC and the json2array AUTHORS

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

function dottedGet(obj, spec) {
  if (spec === "") {
    return obj;
  }
  const dot = spec.indexOf(".");
  const next = dot === -1 ? "" : spec.substring(dot + 1, spec.length);
  const part = dot === -1 ? spec : spec.substr(0, dot);
  return dottedGet(obj[part], next);
}

function map2array(obj, spec) {
  return spec.map(k => dottedGet(obj, k));
}

function maps2arrays(objs, spec) {
  return objs.map(v => map2array(v, spec));
}

module.exports = {
  dottedGet,
  map2array,
  maps2arrays
};